---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ktistec
  namespace: "{{apps.ktistec.namespace}}"
  annotations:
    kubernetes.io/ingress.class: "traefik"
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
    cert-manager.io/cluster-issuer: letsencrypt-production

spec:
  rules:
    - host: ap1.xai-corp.net
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: ktistec
                port:
                  number: 3000

  tls: # < placing a host in the TLS config will determine what ends up in the cert's subjectAltNames
    - secretName: xai-corp-production-tls-ap1
      hosts:
        - ap1.xai-corp.net
